Update Workspace
curl --request PUT \
--url https://api.honcho.dev/v3/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {},
"configuration": {
"reasoning": {
"enabled": true,
"custom_instructions": "<string>"
},
"peer_card": {
"use": true,
"create": true
},
"summary": {
"enabled": true,
"messages_per_short_summary": 11,
"messages_per_long_summary": 21
},
"dream": {
"enabled": true
}
}
}
'import requests
url = "https://api.honcho.dev/v3/workspaces/{workspace_id}"
payload = {
"metadata": {},
"configuration": {
"reasoning": {
"enabled": True,
"custom_instructions": "<string>"
},
"peer_card": {
"use": True,
"create": True
},
"summary": {
"enabled": True,
"messages_per_short_summary": 11,
"messages_per_long_summary": 21
},
"dream": { "enabled": True }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
metadata: {},
configuration: {
reasoning: {enabled: true, custom_instructions: '<string>'},
peer_card: {use: true, create: true},
summary: {enabled: true, messages_per_short_summary: 11, messages_per_long_summary: 21},
dream: {enabled: true}
}
})
};
fetch('https://api.honcho.dev/v3/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"metadata": {},
"configuration": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}workspaces
Update Workspace
Update Workspace metadata and/or configuration.
PUT
/
v3
/
workspaces
/
{workspace_id}
Update Workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Updated workspace parameters
The set of options that can be in a workspace DB-level configuration dictionary.
All fields are optional. Session-level configuration overrides workspace-level configuration, which overrides global configuration.
Show child attributes
Show child attributes
Was this page helpful?
⌘I